Package org.jcsp.net

# Class Profile

java.lang.Object
org.jcsp.net.Profile

public class Profile extends Object

This class is used to hold profiles of Nodes and Links.

Node profiles are not currently used.

Profile functionality is still being implemented.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Compares this Profile with another object.
`static Profile`
`getLinkProfile(String name)`
Returns a link profile of a certain name from a static collection of link profiles.
`static Profile`
`getNodeProfile(String name)`
Returns a Node profile of a certain name from a static collection of Node profiles.
`int`
`hashCode()`
Returns a hash code for this object that follows the standard rule for hash codes stated in the `Object` class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLinkProfile

public static Profile getLinkProfile(String name)
Returns a link profile of a certain name from a static collection of link profiles.

Parameters:
  `name` - the name of the `Profile` to obtain.
Returns:
  a matching link profile or null if no match is found.

### getNodeProfile

public static Profile getNodeProfile(String name)
Returns a Node profile of a certain name from a static collection of Node profiles.

Parameters:
  `name` - the name of the `Profile` to obtain.
Returns:
  a matching Node profile or null if no match is found.

### equals

public boolean equals(Object o)
Compares this Profile with another object.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - another object to compare with this object.
Returns:
  `true` iff the supplied object is a `Profile` object that is exactly equal.

### hashCode

public int hashCode()
Returns a hash code for this object that follows the standard rule for hash codes stated in the `Object` class.

Overrides:
  `hashCode` in class `Object`
Returns:
  an `int` hash code for this object.